ALAS-2016-767


Amazon Linux AMI Security Advisory: ALAS-2016-767
Advisory Release Date: 2016-11-18 12:30 Pacific
Severity: Medium

Issue Overview:

The implementation of ORDER BY and GROUP BY in Zend_Db_Select was discovered to be vulnerable to SQL injection.


Affected Packages:

php-ZendFramework


Issue Correction:
Run yum update php-ZendFramework to update your system.

New Packages:
noarch:
    php-ZendFramework-Db-Adapter-Pdo-Pgsql-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Feed-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Services-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Captcha-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Cache-Backend-Memcached-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-full-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Db-Adapter-Pdo-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Auth-Adapter-Ldap-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Cache-Backend-Apc-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-extras-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Cache-Backend-Libmemcached-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Dojo-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-demos-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Pdf-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Soap-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Db-Adapter-Mysqli-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Search-Lucene-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Ldap-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Serializer-Adapter-Igbinary-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Db-Adapter-Pdo-Mysql-1.12.20-1.12.amzn1.noarch
    php-ZendFramework-Db-Adapter-Pdo-Mssql-1.12.20-1.12.amzn1.noarch

src:
    php-ZendFramework-1.12.20-1.12.amzn1.src